Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSMessagingParticipant Class Reference

Interface for all messaging participant related tasks and properties. More...

`#import <CSMessagingParticipant.h>`

Inherits CSParticipant, and <NSCopying>.

## Instance Methods
(BOOL) | - isEqual:
| Equality operator. More...
Instance Methods inherited from CSParticipant
(instancetype) | - initWithParticipantId:
(CSContact *) | - bestContactMatch
| Return best possible contact match. More...
(NSDictionary *) | - allPossibleContactMatches
| Return all possible contact matches with level of matching. More...
(void) | - sendPrivateChatMessage:completionHandler:
| Sends private message to this participant. More...

## Properties
CSMessagingParticipantType | type
| Returns the messaging participant type. More...
NSString * | lastName
| Returns the last name for the participant. More...
NSString * | firstName
| Returns the first name for the participant. More...
CSMessagingDisplayOrder | displayOrder
| Get the participant name display order. More...
Properties inherited from CSParticipant
id< CSParticipantDelegate > | delegate
| The delegate used to handle participant events, common to all participant subclasses. More...
NSString * | displayName
| Participant's network provided display name, as known to the conferencing system. More...
NSString * | address
| Participant's network-provided address, as known to the conferencing system. More...
BOOL | localUser
| Whether the participant is the local user. More...
NSString * | participantId
| Unique identification of the participant. More...
NSSet * | modalities
| Returns contact modalities set. More...
BOOL | hasPicture
| Indicates whether the participant has a picture. More...
CSMessagingParticipantSourceType | sourceType
| Returns the participant source type. More...
NSArray * | phoneNumbers
| Returns array of CSMessagingParticipantPhoneNumber containing all phone numbers. More...
(void) | - retrievePictureWithCompletionHandler:
| Retrieves picture for participant. More...

## Detailed Description

Interface for all messaging participant related tasks and properties.

Every participant of message is a registered user on the messaging server. It is basically the most important data about the participant of a conversation, used for not including the whole contact object. If a particular contact is available on the current user list, it can be obtained by the bestContactMatch property.

## Method Documentation

- (BOOL) isEqual: |  | (id) | object |

Equality operator.

Parameters

  object | The other participant to compare to

- (void) retrievePictureWithCompletionHandler: |  | (CSMessagingParticipantRetrievePictureCompletionHandler) | handler |

Retrieves picture for participant.

Parameters

  handler | The completion handler associated with this operation.

## Property Documentation

- (CSMessagingDisplayOrder) displayOrder
| read write nonatomic assign

Get the participant name display order.

Returns
  the participant name display order.

- (NSString*) firstName
| read nonatomic assign

Returns the first name for the participant.

Returns
  the first name for the participant.

- (BOOL) hasPicture
| read nonatomic assign

Indicates whether the participant has a picture.

Returns
  true if participant has picture, false otherwise.

- (NSString*) lastName
| read nonatomic assign

Returns the last name for the participant.

Returns
  the last name for the participant.

- (NSSet*) modalities
| read nonatomic assign

Returns contact modalities set.

See alsoCSMessagingModality}

- (NSArray*) phoneNumbers
| read nonatomic assign

Returns array of CSMessagingParticipantPhoneNumber containing all phone numbers.

Returns
  array of CSMessagingParticipantPhoneNumber.

- (CSMessagingParticipantSourceType) sourceType
| read nonatomic assign

Returns the participant source type.

Returns
  the participant source type.

- (CSMessagingParticipantType) type
| read nonatomic assign

Returns the messaging participant type.

Returns
  the messaging participant type.

The documentation for this class was generated from the following file:

- CSMessagingParticipant.h